### Constructor

# Gtk SliceListModel new

#### Declaration [src]

    GtkSliceListModel*
    gtk_slice_list_model_new (
      GListModel* model,
      guint offset,
      guint size
    )

#### Description [src]

Creates a new slice model.

It presents the slice from `offset` to offset + `size` of the given `model`.

#### Parameters

`model` | `GListModel*`
| The model to use.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`offset` | `guint`
| The offset of the slice.
`size` | `guint`
| Maximum size of the slice.

#### Return value

Returns: | `GtkSliceListModel`
| A new `GtkSliceListModel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.